com.orsoncharts.axis

## Enum LabelOrientation

- java.lang.Object
- - java.lang.Enum<LabelOrientation>
  - - com.orsoncharts.axis.LabelOrientation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LabelOrientation>

      public enum LabelOrientation
      extends java.lang.Enum<LabelOrientation>

  The orientation of an axis label relative to the axis.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PARALLEL` Labels are drawn parallel to the axis line.
    `PERPENDICULAR` Labels are drawn perpendicular to the axis line.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LabelOrientation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LabelOrientation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERPENDICULAR

          public static final LabelOrientation PERPENDICULAR

      Labels are drawn perpendicular to the axis line.

    - #### PARALLEL

          public static final LabelOrientation PARALLEL

      Labels are drawn parallel to the axis line.

  - ### Method Detail

    - #### values

          public static LabelOrientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LabelOrientation c : LabelOrientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LabelOrientation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null